Subject: bug#19328: [PATCH] Add mechanism to prompt about unsaved customizations

From: Ted Zlatanov <[email-masked]>
Date: Sun, 14 Dec 2014 11:31:08 -0500

On Sun, 14 Dec 2014 09:02:48 -0500 Stefan Monnier <[email-masked]> wrote: 

>> ...I see for example the commit 49daed60510a073062b41fa39fd7c010cb0a315e
>> from Glenn has a nice summary of all the changes in subdirectories
>> gathered from various ChangeLogs, but `C-c C-a' in the commit window
>> doesn't bring in anything near that summary. Is there a way to
>> auto-generate it or do I have to assemble it by hand?

SM> Yes: from the *vc-dir* buffer, you need to explicitly select every file
SM> you'll commit (instead of just saying "commit everything in this
SM> directory").  Then C-c C-a will work.  It's stupid but it's the way to
SM> code works.  Patches welcome.

Oh, huh, yeah that's kind of strange.  I'd expect it to work when
nothing is selected.  I'll try to hack it, some time this century :)

Ted